<?php
require_once ("../../config/Cado.php");
require_once ("carticulotipo.php");
$oArticulotipo = new cArticulotipo();
$artipo_nom='';
$alm_ven='';
if($_POST['action']=="editar")
{
	$dts = $oArticulotipo->mostrarUno($_POST['artipo_id']);
	$dt = mysqli_fetch_array($dts);
	$artipo_nom=$dt['tb_articulotipo_nom'];
	$alm_ven=$dt['tb_articulotipo_sto'];
	mysqli_free_result($dts);
}
?>
				<form role="form" id="for_articulotipo" method="POST">
					<input name="action_artipo" id="action_artipo" type="hidden" value="<?php echo $_POST['action']?>">
					<input name="hdd_artipo_id" id="hdd_artipo_id" type="hidden" value="<?php echo $_POST['artipo_id']?>">
					<div class="box-header">
						<h3 class="box-title">Información de Tipo de Artículo</h3>
					</div>
					<div class="box-body">
						<div class="form-group">							
							<div class="row">
								<div class="col-xs-12 col-lg-6">
									<label for="txt_artipo_nom">Nombre:</label>
									<input name="txt_artipo_nom" type="text" id="txt_artipo_nom" value="<?php echo $artipo_nom?>" maxlength="50"  class="form-control">
								</div>
								<div class="col-xs-6 checkbox">
									<label for="">&nbsp;</label> <br>
									<label>
										<input name="chk_alm_ven" type="checkbox" id="chk_alm_ven" value="1" <?php if($_POST['action']==='insertar' || $alm_ven==='1') echo 'checked'?> type="checkbox" title="Indica si podrá gestionar stock">Gestión de Stock
									</label>
								</div>
							</div>					
						</div>
					</div>
				</form>
				<div class="box-footer float-right">
					<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
					<button class="btn btn-primary " id="save_form">Guardar</button>
				</div>
			
<script type="text/javascript">
	$( "#chk_alm_ven" ).buttonset();
	
	$('#txt_artipo_nom').change(function(){
		$(this).val($(this).val().toUpperCase());
	});
	$("#save_form").click(function() {
		$("#for_articulotipo").submit();
	});
	$(document).ready(function() {
		$('#for_articulotipo').bootstrapValidator({
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {	      	
	      	txt_artipo_nom: {
	      		group: '.col-xs-6',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	}
	      }
	  }).on('success.form.bv', function(e) {
	  
	  	$.ajax({
	  		type: "POST",
	  		url: "../articulotipo/articulotipo_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: $("#for_articulotipo").serialize(),
	  		beforeSend: function() {  		
	  			
	  		},
	  		success: function(data){						
	  			
				$('.modal').modal('hide');
				$('.in').removeClass('modal-backdrop');			
				toastr["success"](data.arttip_msj);	
				
	  			
	  		},
	  		complete: function(){
	  			articulotipo_tabla();
	  		}
	  	});
	  });
	$('#txt_artipo_nom').focus();
	});
	
	$('#txt_artipo_nom').keypress(function(ev) {
		if(ev.keyCode==13){ $('#chk_alm_ven').focus(); return false;}
	});
	$('#chk_alm_ven').keypress(function(ev) {
		if(ev.keyCode==13){ $('#save_form').focus(); return false;}
	});
</script>